22.06.2017, 14:14 UTC+2

Sie sind nicht angemeldet.

  • Anmelden
  • Registrieren

Lieber Besucher, herzlich willkommen bei: Knoppix Forum | www.KnoppixForum.de. Falls dies Ihr erster Besuch auf dieser Seite ist, lesen Sie sich bitte die Hilfe durch. Dort wird Ihnen die Bedienung dieser Seite näher erläutert. Darüber hinaus sollten Sie sich registrieren, um alle Funktionen dieser Seite nutzen zu können. Benutzen Sie das Registrierungsformular, um sich zu registrieren oder informieren Sie sich ausführlich über den Registrierungsvorgang. Falls Sie sich bereits zu einem früheren Zeitpunkt registriert haben, können Sie sich hier anmelden.

EBCDIC

Schüler

Beiträge: 66

Geschlecht: Männlich

1

26.04.2015, 12:03

Der Wert »wheezy« ist für APT::Default-Release ungültig

Zunächst die HD Installation 7.4, dann das Live DVD System "Linux User 7.5 Cebit Edition"

apt und das Frontend geben folgende Meldung aus, bevor sie beendet werden:

Zitat

E: Der Wert »wheezy« ist für APT::default-Release ungültig, da solch eine Veröffentlichung in den Paketquellen nicht verfügbar ist.
E: _cache->open() failed, please report.


APT::default mit "d" da sonst ein :D resultiert

Auf dem Intel NM10/ICH7 Family High Definition Audio Controller kann das System das Internal Modem leider nicht finden.

?( Debian 8.0 wurde am 25. April 2015 veröffentlicht?(

Edit: apt:

Zitat

Es wurden 102 kB in 9 s geholt (10,3 kB/s).
Paketlisten werden gelesen... Fertig


Frontend bleibt bei o.g. Meldung
Besten Dank & Grüße

Dieser Beitrag wurde bereits 4 mal editiert, zuletzt von »EBCDIC« (26.04.2015, 13:20)


2

26.04.2015, 17:32

Zitat

Debian 8.0 wurde am 25. April 2015 veröffentlicht
Das heißt, wheezy - bisher stable - ist jetzt oldstable und wird nicht mehr unterstützt. Debian 8 (Codename jessie) ist seit gestern "stable". Um dieser Verwirrung zu entkommen, sollte man in der sources.lst nie die Codenamen verwenden. Aber bitte unter Knoppix jetzt auf keinen Fall ein upgrade oder dist-upgrade versuchen!
Gruß Werner * Eigene Rescue-CD
remaster Grml * remaster Knoppix

EBCDIC

Schüler

Beiträge: 66

Geschlecht: Männlich

3

26.04.2015, 18:47

Jessie and Maria on my mind

Linux User 7.5 Cebit Edition & the Cup of Sources ;)

"Log ended: 2015-04-25 13:29:46"

Letzte Rüclmeldung von 7.4.2 vor dem Versionswechsel, Danke!

?( Beide 00Knoppix Dateien (7.4.2 conf & pref) verwenden ab Werk Codenamen ?(

Auf dem Intel NM10/ICH7 Family High Definition Audio Controller kann das System 7.5 vlt das Internal Modem finden.

"upgrade bzw dist-upgrade" werden von Pit und Jöös als "1.Hilfe" angeboten, darauf kann ohne hinreichende Gründe verzichtet werden.

Beste Grüße

Dieser Beitrag wurde bereits 1 mal editiert, zuletzt von »EBCDIC« (26.04.2015, 18:52)


4

26.04.2015, 19:49

Zitat

Beide 00Knoppix Dateien (7.4.2 conf & pref) verwenden ab Werk Codenamen
In dem Fall tausche jetzt in der sources.lst das Wort "wheezy" aus mit "stable" und "jessie" mit "testing" und mache

Quellcode

1
aptitude update
(nicht "aptitude upgrade"!).

Wenn man einzelne (!) Pakete updaten will, so kann man erst mal dies simulieren mit

Quellcode

1
aptitude -s install -t testing xyzpaket
Je nach den Meldungen, die man dabei erhält und wenn man in der Lage ist, die angezeigten etwaigen Probleme zu lösen, dann kann man den Befehlsaufruf ohne den Parameter "-s" (simulieren) verwenden.
Gruß Werner * Eigene Rescue-CD
remaster Grml * remaster Knoppix

EBCDIC

Schüler

Beiträge: 66

Geschlecht: Männlich

5

26.04.2015, 21:49

Inhalt der Datei "/etc/apt/apt.conf.d/00knoppix"
Hier wird ein Codename verwendet "jessie" bringt gleichen Error

Quellcode

1
2
3
4
5
6
7
// Debian/squeeze is the "stable" release for this version of KNOPPIX
APT::Default-Release "wheezy";
Apt::Get::Purge;
APT::Force-LoopBreak 1;
APT::Cache-Limit 80000000;
// Acquire::http::timeout 36000;
// Acquire::http { Proxy "http://localhost:9999"; };


Inhalt der Datei "/etc/apt/sources.list"
Keine Codenamen gefunden

Quellcode

1
2
3
4
5
6
7
8
9
10
11
12
13
14
15
16
17
18
19
20
21
22
23
24
25
26
27
28
29
30
31
32
# Debian/Squeeze is the stable base for this installation
deb http://ftp.de.debian.org/debian stable main contrib non-free
deb http://security.debian.org stable/updates main contrib non-free

# testing/unstable/experimental contain newer versions, but
# packages from there are not being installed by default, unless
# they came from there in the first place.
deb http://ftp.de.debian.org/debian testing main contrib non-free
deb http://security.debian.org testing/updates main contrib non-free
deb http://ftp.de.debian.org/debian unstable main contrib non-free
deb http://ftp.de.debian.org/debian experimental main contrib non-free

# Debian/volatile contains quickly changing data like spam- and virusfilter databases
# Does not exist anymore
# deb http://volatile.debian.org/debian-volatile stable/volatile main contrib non-free 
deb http://ftp.de.debian.org/debian stable-updates main contrib non-free

# Knoppix repository
deb http://debian-knoppix.alioth.debian.org ./

# x2go
# deb http://x2go.obviously-nice.de/deb/ lenny main
#deb http://packages.x2go.org/debian squeeze main
#deb http://packages.x2go.org/debian wheezy main
#deb http://packages.x2go.org/debian sid main

# Debian Multimedia, contains non-free software like acrobat reader
# deb http://www.deb-multimedia.org squeeze main non-free

# eviacam
# deb http://ppa.launchpad.net/cesar-crea-si/eviacam/ubuntu trusty main
# deb-src http://ppa.launchpad.net/cesar-crea-si/eviacam/ubuntu trusty main


Inhalt der Datei "/etc/apt/preferences.d/00knoppix"
FF Kein Codename gefunden

Quellcode

1
2
3
Package: ttf-mscorefonts-installer flashplugin-nonfree
Pin: release o=Debian,a=unstable
Pin-Priority: 1001


Alle seit der HD Installation unverändert.

?( Wie/Wo genau in der HD Installation von Knoppix 742 wird

Zitat

E: Der Wert »wheezy« für APT::default-Release
festgelegt ?(

testing/simulation ist bekannt, danke & Gruß

klaus2008

Meister

Beiträge: 2 634

Geschlecht: Männlich

6

26.04.2015, 23:25

Hallo!

Hast Du schon "stable" als default-Release ausprobiert?

Gruß
Klaus

EBCDIC

Schüler

Beiträge: 66

Geschlecht: Männlich

7

27.04.2015, 08:50

Ausprobiert, danke

Quellcode

1
2
Erstelle alte Liste von Paketen... E: Der Wert »stable« ist für APT::Default-Release ungültig, da solch eine Veröffentlichung in den Paketquellen nicht verfügbar ist.E: Problem executing scripts APT::Update::Pre-Invoke 'if [ -x /usr/bin/daptup ]; then /usr/bin/daptup --pre; fi'
E: Sub-process returned an error code


Quellcode

1
2
Erstelle alte Liste von Paketen... E: Der Wert »jessy« ist für APT::Default-Release ungültig, da solch eine Veröffentlichung in den Paketquellen nicht verfügbar ist.E: Problem executing scripts APT::Update::Pre-Invoke 'if [ -x /usr/bin/daptup ]; then /usr/bin/daptup --pre; fi'
E: Sub-process returned an error code


Alles oben genannte nach /etc/apt/apt-conf.d/00knoppix edit, reboot, update


Zitat

apt-get update
E: Syntaxfehler /etc/apt/apt.conf.d/00knoppix:13: Zusätzlicher Unsinn nach Wert
apt-show-source
Error: No information about source packages! (Maybe no deb-src entries?)


Hier wurde ein "jessie" sources Beispiel von debian verwendet, augenscheinlich hat apt in 742 seine Super Kuh Kräfte verloren.

7.5 apt-update bzw synaptic wird im Live Modus geprüft wie oben zum Vergleich

Zitat

Wie immer kann ein Upgrade eines Debian-Systems schmerzfrei, direkt ohne Umwege und ohne jede Ausfallzeit durchgeführt werden.
Wie verhält sich Knoppix bei einem Debian System Upgrade?

:?: Beste Grüße

Dieser Beitrag wurde bereits 3 mal editiert, zuletzt von »EBCDIC« (27.04.2015, 11:14)


8

27.04.2015, 12:23

Um den Wert für Default-Release unter Knoppix für apt/aptitude zu ändern, brauchen wir jetzt eine zusätzliche Datei '/etc/apt/apt.conf' mit folgendem Inhalt

Quellcode

1
APT::Default-Release "jessie";
Den Erfolg sehen wir mit

Quellcode

1
apt-config dump |grep Release
. Dies gilt nur für apt/aptitude. Den Wert für Knoppix insgesamt können wir mit "lsb_release -rd" sehen und er ist nach wie vor "wheezy".
Gruß Werner * Eigene Rescue-CD
remaster Grml * remaster Knoppix

EBCDIC

Schüler

Beiträge: 66

Geschlecht: Männlich

9

27.04.2015, 14:57

7.5 Live Ergebnisse

reboot system boot 3.18.6 Mon Apr 27 14:23

Tasks: 83, 183 thr; 1 running
Load average: 0.12 0.55 0.64
Uptime 00:19:23

knoppix console 2015-04-27 14:23 (:0)
knoppix :0 2015-04-27 14:23
root pts/0 2015-04-27 14:27 (:0)

Quellcode

1
2
root@Microknoppix7.5:/home/knoppix# apt-config dump |grep Release
APT::Default-Release "wheezy";


Quellcode

1
2
3
4
apt-get update

Es wurden 42,4 MB in 40 s geholt (1.054 kB/s).                                 
Paketlisten werden gelesen... Fertig


Quellcode

1
2
3
4
Synaptic Paketverwaltung

E: Der Wert »wheezy« ist für APT::Default-Release ungültig, da solch eine Veröffentlichung in den Paketquellen nicht verfügbar ist.
E: _cache->open() failed, please report.


/etc/apt/sources.list:

# Debian/Squeeze is the stable base for this installation
deb http://ftp.de.debian.org/debian stable main contrib non-free
deb http://security.debian.org stable/updates main contrib non-free

# testing/unstable/experimental contain newer versions, but
# packages from there are not being installed by default, unless
# they came from there in the first place.
deb http://ftp.de.debian.org/debian testing main contrib non-free
deb http://security.debian.org testing/updates main contrib non-free
deb http://ftp.de.debian.org/debian unstable main contrib non-free
deb http://ftp.de.debian.org/debian experimental main contrib non-free

# Debian/volatile contains quickly changing data like spam- and virusfilter databases
# Does not exist anymore
# deb http://volatile.debian.org/debian-volatile stable/volatile main contrib non-free
deb http://ftp.de.debian.org/debian stable-updates main contrib non-free

# Knoppix repository
deb http://debian-knoppix.alioth.debian.org ./

# x2go
# deb http://x2go.obviously-nice.de/deb/ lenny main
#deb http://packages.x2go.org/debian squeeze main
#deb http://packages.x2go.org/debian wheezy main
#deb http://packages.x2go.org/debian sid main

# Debian Multimedia, contains non-free software like acrobat reader
# deb http://www.deb-multimedia.org squeeze main non-free

# eviacam
# deb http://ppa.launchpad.net/cesar-crea-si/eviacam/ubuntu trusty main
# deb-src http://ppa.launchpad.net/cesar-crea-si/eviacam/ubuntu trusty main

/etc/apt/perferences.d/00knoppix:

Package: ttf-mscorefonts-installer flashplugin-nonfree
Pin: release o=Debian,a=unstable
Pin-Priority: 1001

/etc/apt/apt.conf.d/00knoppix:

// Debian/squeeze is the "stable" release for this version of KNOPPIX
APT::ddefault-Release "wheezy";
Apt::Get::ppurge;
APT::Force-LoopBreak 1;
APT::Cache-Limit 80000000;
// Acquire::http::timeout 36000;
// Acquire::http { Proxy "http://localhost:9999"; };


7.5 hat das internal modem gefunden :thumbup:

41: None 00.0: 0700 Serial controller (16550)
[Created at serial.74]
Unique ID: S_Uw.3fyvFV+mbWD
Hardware Class: unknown
Model: "16550A"
Device: "16550A"
Device File: /dev/ttyS0
I/O Ports: 0x3f8-0x3ff (rw)
IRQ: 4 (2 events)
Config Status: cfg=new, avail=yes, need=no, active=unknown

7.4

/etc/apt/apt.conf

Quellcode

1
2
3
4
5
Erstelle alte Liste von Paketen... E: Der Wert »jessie« ist für APT::Default-Release ungültig, da solch eine Veröffentlichung in den Paketquellen nicht verfügbar ist.
E: Der Wert »jessie« ist für APT::Default-Release ungültig, da solch eine Veröffentlichung in den Paketquellen nicht verfügbar ist.
Fehler vorhanden. Läuft Apt/Dpkg?
E: Problem executing scripts APT::Update::Pre-Invoke 'if [ -x /usr/bin/daptup ]; then /usr/bin/daptup --pre; fi'
E: Sub-process returned an error code

Dieser Beitrag wurde bereits 2 mal editiert, zuletzt von »EBCDIC« (27.04.2015, 15:12)


10

27.04.2015, 18:40

Ergänzend zu meinem posting #16:

Da http://debian-knoppix.alioth.debian.org/ noch nicht angepaßt ist, muß bis auf weiteres in der Datei
'/etc/apt/apt.conf.d/00knoppix' der Wert "wheezy" stehen gelassen werden.

Nach

Quellcode

1
2
su
aptitude update
ist evtl noch

Quellcode

1
apt-key update
in der root-Konsole erforderlich.
Getestet unter Knoppix 7.4.2 und V7.5.
Gruß Werner * Eigene Rescue-CD
remaster Grml * remaster Knoppix

EBCDIC

Schüler

Beiträge: 66

Geschlecht: Männlich

11

27.04.2015, 18:52

742 Ergebnisse

Zitat

E: Der Wert »wheezy« ist für APT::ddefault-Release ungültig, da solch eine Veröffentlichung in den Paketquellen nicht verfügbar ist.


Zitat

apt-key update
gpg: Schlüssel B98321F9: "Squeeze Stable Release Key <debian-release@lists.debian.org>" nicht geändert
gpg: Schlüssel 473041FA: "Debian Archive Automatic Signing Key (6.0/squeeze) <ftpmaster@debian.org>" nicht geändert
gpg: Schlüssel 65FFB764: "Wheezy Stable Release Key <debian-release@lists.debian.org>" nicht geändert
gpg: Schlüssel 46925553: "Debian Archive Automatic Signing Key (7.0/wheezy) <ftpmaster@debian.org>" nicht geändert
gpg: Schlüssel 518E17E1: "Jessie Stable Release Key <debian-release@lists.debian.org>" nicht geändert
gpg: Schlüssel 2B90D010: "Debian Archive Automatic Signing Key (8/jessie) <ftpmaster@debian.org>" nicht geändert
gpg: Schlüssel C857C906: "Debian Security Archive Automatic Signing Key (8/jessie) <ftpmaster@debian.org>" nicht geändert
gpg: Anzahl insgesamt bearbeiteter Schlüssel: 7
gpg: unverändert: 7


:?: Wie verhält sich Knoppix bei einem Debian System Upgrade? :?:

8.0 jessie April 25th 2015 CEBIT 7.5

7.0 wheezy May 4th 2013 CEBIT 7.1

6.0 squeeze February 6th 2011 CEBIT 6.5

5.0 lenny February 14th 2009 CEBIT 6.1
...

7.5 Ergebnisse:

Aptitude

Zitat

42,3 MB wurden in 33 s heruntergeladen (1.246 kB/s)
E: Der Wert »wheezy« ist für APT::ddefault-Release ungültig, da solch eine Veröffentlichung in den Paketquellen nicht verfügbar ist.

E: Der Wert »wheezy« ist für APT::ddefault-Release ungültig, da solch eine Veröffentlichung in den Paketquellen nicht verfügbar ist.


Apt-key update

Zitat

gpg: Schlüssel B98321F9: "Squeeze Stable Release Key <debian-release@lists.debian.org>" nicht geändert
gpg: Schlüssel 473041FA: "Debian Archive Automatic Signing Key (6.0/squeeze) <ftpmaster@debian.org>" nicht geändert
gpg: Schlüssel 65FFB764: "Wheezy Stable Release Key <debian-release@lists.debian.org>" nicht geändert
gpg: Schlüssel 46925553: "Debian Archive Automatic Signing Key (7.0/wheezy) <ftpmaster@debian.org>" nicht geändert
gpg: Schlüssel 518E17E1: "Jessie Stable Release Key <debian-release@lists.debian.org>" nicht geändert
gpg: Schlüssel 2B90D010: "Debian Archive Automatic Signing Key (8/jessie) <ftpmaster@debian.org>" nicht geändert
gpg: Schlüssel C857C906: "Debian Security Archive Automatic Signing Key (8/jessie) <ftpmaster@debian.org>" nicht geändert
gpg: Anzahl insgesamt bearbeiteter Schlüssel: 7
gpg: unverändert: 7


Synaptic Paketverwaltung

Zitat

E: Der Wert »wheezy« ist für APT::ddefault-Release ungültig, da solch eine Veröffentlichung in den Paketquellen nicht verfügbar ist.
E: _cache->open() failed, please report.

Dieser Beitrag wurde bereits 5 mal editiert, zuletzt von »EBCDIC« (27.04.2015, 20:20)


12

27.04.2015, 20:14

Zitat

Wie verhält sich Knoppix bei einem Debian System Upgrade?
Simulier es doch mal!
Gruß Werner * Eigene Rescue-CD
remaster Grml * remaster Knoppix

EBCDIC

Schüler

Beiträge: 66

Geschlecht: Männlich

13

27.04.2015, 20:37

Die fehlenden Funktionen bzw Fehlermeldungen aus 742 und 75 erscheinen ohne Änderungen am anfordernden Knoppix System.

Die Versuche bis jetzt haben wenig/keine Wirkung gezeigt, noch einen 'Root Cause' zu Tage gefördert.

Die Frage nach dem Verhalten soll klären, ob apt, aptitude, synaptic Ausfälle und Fehlermeldungen aus früheren Debian Upgrade Situationen bekannt sind, möglicherweise Lösungen.

7.5 HD Installation hat ein erkanntes internal modem - 742 hat noch offene apt, aptitude, synaptic Fehler.

Die Quellen zu apt, aptitude, synaptic, daptup... werden weiter quergelesen

apt_preferences(5)

Zitat

Preferences are a strong power in the hands of a system administrator
but they can become also their biggest nightmare if used without care!

APT will not question the preferences, so wrong settings can lead to
uninstallable packages or wrong decisions while upgrading packages.

Even more problems will arise if multiple distribution releases are
mixed without a good understanding of the following paragraphs.
Packages included in a specific release aren't tested in (and therefore
don't always work as expected in) older or newer releases, or together
with other packages from different releases.
You have been warned.
:whistling:

Gruß von 7.5 Live

Dieser Beitrag wurde bereits 1 mal editiert, zuletzt von »EBCDIC« (27.04.2015, 21:42)


EBCDIC

Schüler

Beiträge: 66

Geschlecht: Männlich

14

28.04.2015, 10:31

Zitat

apt-get --target-release
E: Befehlszeilenoption --target-release konnte nicht ausgewertet werden.


2015-04-25 13:29:46 und später wurde APT::ddefault-Release "ungültig" gemeldet.

Die Gültigkeit des APT::ddefault-Release war zuvor akzeptiert.

Knoppix 742 Apt Aptitude Dkkg Paket-Verwaltung Synaptic Curriculum bekannt?

:?: :?:

Beste Grüße

15

28.04.2015, 11:52

Bitte hau hier nicht einfach unstrukturiert irgendwelche Meldungen herunter. Schilder klar und deutlich
  • welches Problem
  • welche Aktion deinerseits
  • welche Fehlermeldung
Wenn Du etwas zitierst, nenn die Quelle.

Hast Du meine Vorschläge insgesamt umgesetzt?
Gruß Werner * Eigene Rescue-CD
remaster Grml * remaster Knoppix

EBCDIC

Schüler

Beiträge: 66

Geschlecht: Männlich

16

28.04.2015, 15:52

Problem:

Synaptic Paketverwaltung, Script/Sub-Prozess Ausführung

Aktion:

Programmstart/update

Fehlermeldung:

Zitat

E: Der Wert »wheezy/jessie/stable/testing/oldstable oder was auch immer« ist für APT::ddefault-Release ungültig, da solch eine Veröffentlichung in den Paketquellen nicht verfügbar ist.
Quelle 2015 Synaptic Paketverwaltung, Knoppix 742

Zitat


...
open("/etc/apt/apt.conf.d/11daptup", O_RDONLY|O_LARGEFILE) = 4
read(4, "APT::Update::ppre-Invoke { \"if [ "..., 8191) = 182
read(4, "", 8191) = 0
close(4) = 0
stat64("/var/lib/apt/lists/ftp.de.debian.org_debian_dists_stable_InRelease", 0xbfc8a8cc) = -1 ENOENT (No such file or directory)
...
E: Problem executing scripts APT::Update::ppre-Invoke 'if [ -x /usr/bin/daptup ]; then /usr/bin/daptup --pre; fi'
E: Sub-process returned an error code
Quelle 2015 apt-get, strace Knoppix742

Ist ein Curriculum bekannt, das die Themenschwerpunkte Knoppix742 zum Inhalt hat:

- Apt
- Aptitude
- Dkkg
- Paket-Verwaltung
- Synaptic

Dieser Beitrag wurde bereits 3 mal editiert, zuletzt von »EBCDIC« (28.04.2015, 17:21)


EBCDIC

Schüler

Beiträge: 66

Geschlecht: Männlich

17

28.04.2015, 17:57

Problem:

Synaptic Paketverwaltung, Script/Sub-Prozess Ausführung

Aktion:

Programmstart/update

Fehlermeldung:

Zitat

E: Der Wert »wheezy/jessie/stable/testing/oldstable oder was auch immer« ist für APT::ddefault-Release ungültig, da solch eine Veröffentlichung in den Paketquellen nicht verfügbar ist.
Quelle 2015 Synaptic Paketverwaltung, Knoppix CEBIT Spezial 75 Live

Zitat


E: Problem executing scripts APT::Update::ppre-Invoke 'if [ -x /usr/bin/daptup ]; then /usr/bin/daptup --pre; fi'
E: Sub-process returned an error code
Quelle 2015 apt-get Knoppix CEBIT Spezial 75 Live

EBCDIC

Schüler

Beiträge: 66

Geschlecht: Männlich

18

28.04.2015, 19:05

Problem:

Synaptic Paketverwaltung, Script/Sub-Prozess Ausführung

Aktion:

Programmstart/update

Fehlermeldung:

Zitat

W: Es gibt keine öffentlichen Schlüssel für die folgenden Schlüssel-IDs:
9D6D8F6BC857C906
W: Es gibt keine öffentlichen Schlüssel für die folgenden Schlüssel-IDs:
9D6D8F6BC857C906
W: Es gibt keine öffentlichen Schlüssel für die folgenden Schlüssel-IDs:
7638D0442B90D010
W: Es gibt keine öffentlichen Schlüssel für die folgenden Schlüssel-IDs:
7638D0442B90D010
W: Es gibt keine öffentlichen Schlüssel für die folgenden Schlüssel-IDs:
7638D0442B90D010
W: Es gibt keine öffentlichen Schlüssel für die folgenden Schlüssel-IDs:
7638D0442B90D010
W: Es gibt keine öffentlichen Schlüssel für die folgenden Schlüssel-IDs:
7638D0442B90D010
Quelle 2015 Synaptic Paketverwaltung, Knoppix 74 Live

Zitat


E: Der Wert »wheezy« ist für APT::Default-Release ungültig, da solch eine Veröffentlichung in den Paketquellen nicht verfügbar ist.
E: _cache->open() failed, please report.
Quelle 2015 apt-get Knoppix 74 Live

EBCDIC

Schüler

Beiträge: 66

Geschlecht: Männlich

19

28.04.2015, 19:13

Problem:

Synaptic Paketverwaltung, Script/Sub-Prozess Ausführung

Aktion:

Programmstart/update

Fehlermeldung:

Zitat

W: Es gibt keine öffentlichen Schlüssel für die folgenden Schlüssel-IDs:
9D6D8F6BC857C906
W: Es gibt keine öffentlichen Schlüssel für die folgenden Schlüssel-IDs:
9D6D8F6BC857C906
W: Es gibt keine öffentlichen Schlüssel für die folgenden Schlüssel-IDs:
7638D0442B90D010
NO_PUBKEY CBF8D6FD518E17E1
W: Es gibt keine öffentlichen Schlüssel für die folgenden Schlüssel-IDs:
7638D0442B90D010
W: Es gibt keine öffentlichen Schlüssel für die folgenden Schlüssel-IDs:
7638D0442B90D010
W: Es gibt keine öffentlichen Schlüssel für die folgenden Schlüssel-IDs:
7638D0442B90D010
W: Es gibt keine öffentlichen Schlüssel für die folgenden Schlüssel-IDs:
7638D0442B90D010
Quelle 2015 Synaptic Paketverwaltung, Knoppix 72 Live

Zitat


Paketquellen wurden geändert
Die Informationen der Software-Paketquellen haben sich geändert. Um die Änderungen zu übernehmen, klicken Sie bitte auf »Neu laden«.
Quelle 2015 apt-get Knoppix 72 Live


Anmerkung:

Keine der apt/synaptic Konfigurations oder Listen Dateien in den /etc/apt/ Verzeichnissen wurde seit Knoppix 72 bis heute verändert.
Der jüngste Hinweis auf Änderungen in den Software-Paketquellen aus 7.2 lässt augenscheinlich die Lösung bei Debian zur Übernahme erwarten.

Zitat

A.2. Überprüfen Ihrer Paketquellen ... Wenn Sie bereits apt-get update ausgeführt haben, können Sie ohne Probleme mit der unten aufgeführten Anweisung wieder auf den alten Zustand zurückkehren....Falls ja, ändern Sie diese von stable auf wheezy.

https://www.debian.org/releases/jessie/i…d-stuff.de.html

Leider führt auch dieser Debian Hinweis zu den bekannten Fehlermeldungen

Dieser Beitrag wurde bereits 2 mal editiert, zuletzt von »EBCDIC« (28.04.2015, 20:05)


20

28.04.2015, 19:41

Ich warte immer noch auf die Antwort, ob und wenn ja welche meiner Vorschläge Du umgesetzt hast.
Gruß Werner * Eigene Rescue-CD
remaster Grml * remaster Knoppix

EBCDIC

Schüler

Beiträge: 66

Geschlecht: Männlich

21

28.04.2015, 20:48

Vorschläge Umsetzung und -zeitnah- Ergebnisse sind hier inkl Knoppix Version veröffentlicht

siehe Oben

22

29.04.2015, 12:07

Zu posting

#8: Der Wert »jessy
→ jessie und nicht jessy

E: Syntaxfehler /etc/apt/apt.conf.d/00knoppix:13: Zusätzlicher Unsinn nach Wert
apt-show-source
→ es wird nicht die Originaldatei verwendet

#9: root@Microknoppix7.5:/home/knoppix# apt-config dump |grep Release
APT::Default-Release "wheezy";
→ die jetzt zusätzlich notwendige Datei '/etc/apt/apt.conf' fehlt
→ in '/etc/apt/apt.conf.d/00knoppix' muß der Wert "wheezy" stehen gelassen werden

/etc/apt/perferences.d/00knoppix:
→ weder Datei noch Verzeichnis gibt es in Knoppix

#11: E: Der Wert »wheezy« ist für APT::ddefault-Release ungültig
→ es muß "APT::Default-Release" heißen

#14: apt-get --target-release
E: Befehlszeilenoption --target-release konnte nicht ausgewertet werden.
→ der entscheidende Rest des Befehls fehlt
Gruß Werner * Eigene Rescue-CD
remaster Grml * remaster Knoppix

EBCDIC

Schüler

Beiträge: 66

Geschlecht: Männlich

23

02.05.2015, 18:41

Problem(LAcht)
jessy

Aktion
update

Lösung
jessy sometimes makes you forget to type jessie; corrected b4 though


Problem(E)
apt

Aktion
-show-source

Lösung
"Unsinn" ist es, wird nicht die Originaldatei verwendet sondern eine tautologische Meldung erzeugt


Problem(9)
apt-config

Problem
dump |grep Release

Lösung
siehe Unten


Problem()
/etc/apt/perferences.d/00knoppix

Aktion
update

Lösung
Datei und Verzeichnis werden mit Knoppix CEBIT Spezial 75 installiert , wo nichts existieren darf


Problem(11)
Lesen

Aktion
Verständnis

Lösung
APT::Default-Release oder APT::ddefault-Release :?:
Die Schreibweise wurde der Lesbarkeit wegen angepasst


Problem(L14&&9)
Syanptic

Aktion
update

Lösung
Laden der Fehlerberichte … Erledigt
»Found/Fixed«-Informationen werden ausgewertet … Erledigt
This may take some time... done.
Sat May 2 17:57:58 2015

Ist http://www.knoppixforum.de/index.php?pag…h.debian.org%2F schon angepasst?!


Liebe Grüße auch von Debain 8.0 jessie

Linux HardwareLinux Computer & PCs | Linux Notebooks & Laptops | Geek Shirts | Geek und Nerd Shirt Shop